常见问题 您现在的位置是:首页 > 常见问题

CentOS 安装swoole报错

来源:惠达浪原创 发布时间:2019-06-01 最后更新:2019-06-01 702已围观

摘要近期学习swoole,在虚拟机的CentOS 7.6上,按官方教程安装出错,百度之后找到了解决办法,记录在此。

近期打算学习一下牛哄哄的swoole,结果刚出门就卡了个大跟头,安装过程报错,一步一步来吧。系统环境为 CentOS 7.6,已经安装宝塔,系统安装了pecl,说实话,我都不知道这个pecl是啥。

当我按要求,执行

pecl install swoole

这么简单的一个命令时,系统就提示错误了。

第一个:pecl过期了,需要升级。这个简单,它有一句提示命令,照着敲上去,就升级了。

第二个:协议升级了,有这么一句提示:

WARNING: channel "pecl.php.net" has updated its protocols, use "pecl channel-update pecl.php.net" to update

这个解决起来也是非常简单,按提示输入解决。

pecl channel-update pecl.php.net

第三个:这个真是没那么简单了,安装时提示:

No releases available for package "pecl.php.net/swoole"

这个问题的查找过程不说了,结果就是 /usr/local/openssl下,没有证书cert.pem。下载一个证书放在这儿就行。

wget -c https://curl.haxx.se/ca/cacert.pem  /usr/local/openssl/cert.pem --no-check-certificate

我用这个命令,证书倒是下来了,但文件名是cacert.pem,如果你也是这样,把名字改成cert.pem就行了。安装吧!

很赞哦! (83)


站点信息

  • 网站平台ThinkCMF 5.1.5
  • PHP版本:7.3.13
  • QQ交流群: 惠达浪技术交流
0.173792s